Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1185)
@@ -52,12 +52,7 @@
 , m_cCUSplitFlagSCModel       ( 1,             1,               NUM_SPLIT_FLAG_CTX            , m_contextModels + m_numContextModels, m_numContextModels )
 , m_cCUSkipFlagSCModel        ( 1,             1,               NUM_SKIP_FLAG_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 , m_cCUDISFlagSCModel         ( 1,             1,               NUM_DIS_FLAG_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
 , m_cCUDISTypeSCModel         ( 1,             1,               NUM_DIS_TYPE_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-#else
-#if H_3D_SINGLE_DEPTH
-, m_cCUSingleDepthFlagSCModel        ( 1,             1,               NUM_SINGLEDEPTH_FLAG_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-, m_cSingleDepthValueSCModel         ( 1,             1,               NUM_SINGLE_DEPTH_VALUE_DATA_CTX      , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
 #endif
 , m_cCUMergeFlagExtSCModel    ( 1,             1,               NUM_MERGE_FLAG_EXT_CTX        , m_contextModels + m_numContextModels, m_numContextModels)
@@ -141,12 +136,7 @@
   m_cCUSplitFlagSCModel.initBuffer       ( sliceType, qp, (UChar*)INIT_SPLIT_FLAG );
   m_cCUSkipFlagSCModel.initBuffer        ( sliceType, qp, (UChar*)INIT_SKIP_FLAG );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_cCUDISFlagSCModel.initBuffer         ( sliceType, qp, (UChar*)INIT_DIS_FLAG );
   m_cCUDISTypeSCModel.initBuffer         ( sliceType, qp, (UChar*)INIT_DIS_TYPE );
-#else
-#if H_3D_SINGLE_DEPTH
-  m_cCUSingleDepthFlagSCModel.initBuffer        ( sliceType, qp, (UChar*)INIT_SINGLEDEPTH_FLAG );
-  m_cSingleDepthValueSCModel.initBuffer         ( sliceType, qp, (UChar*)INIT_SINGLE_DEPTH_VALUE_DATA );
-#endif
 #endif
   m_cCUMergeFlagExtSCModel.initBuffer    ( sliceType, qp, (UChar*)INIT_MERGE_FLAG_EXT );
@@ -217,12 +207,7 @@
   m_cCUSplitFlagSCModel.initBuffer       ( eSliceType, iQp, (UChar*)INIT_SPLIT_FLAG );
   m_cCUSkipFlagSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_SKIP_FLAG );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_cCUDISFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_DIS_FLAG );
   m_cCUDISTypeSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_DIS_TYPE );
-#else
-#if H_3D_SINGLE_DEPTH
-  m_cCUSingleDepthFlagSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_SINGLEDEPTH_FLAG );
-  m_cSingleDepthValueSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_SINGLE_DEPTH_VALUE_DATA );
-#endif
 #endif
   m_cCUMergeFlagExtSCModel.initBuffer    ( eSliceType, iQp, (UChar*)INIT_MERGE_FLAG_EXT );
@@ -594,6 +579,5 @@
 #endif
 }
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TDecSbac::parseDIS( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
@@ -639,54 +623,5 @@
   }
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TDecSbac::parseSingleDepthMode( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
-{
-  pcCU->setSingleDepthFlagSubParts( false,        uiAbsPartIdx, uiDepth );
-  UInt uiSymbol = 0;
-  m_pcTDecBinIf->decodeBin( uiSymbol, m_cCUSingleDepthFlagSCModel.get( 0, 0, 0 ) );
-  if( uiSymbol )
-  {
-    pcCU->setSingleDepthFlagSubParts( true,        uiAbsPartIdx, uiDepth );
-    pcCU->setSkipFlagSubParts( false,        uiAbsPartIdx, uiDepth );
-    pcCU->setSDCFlagSubParts( false,        uiAbsPartIdx, uiDepth );
-    pcCU->setPredModeSubParts( MODE_INTRA,  uiAbsPartIdx, uiDepth );
-    pcCU->setPartSizeSubParts( SIZE_2Nx2N, uiAbsPartIdx, uiDepth );
-    pcCU->setLumaIntraDirSubParts (DC_IDX, uiAbsPartIdx, uiDepth );
-    pcCU->setSizeSubParts( g_uiMaxCUWidth>>uiDepth, g_uiMaxCUHeight>>uiDepth, uiAbsPartIdx, uiDepth );
-    pcCU->setMergeFlagSubParts( false , uiAbsPartIdx, 0, uiDepth );
-    pcCU->setTrIdxSubParts(0, uiAbsPartIdx, uiDepth);
-    pcCU->setCbfSubParts(0, 1, 1, uiAbsPartIdx, uiDepth);
-
-    UInt absValDeltaDC = 0;
-
-    UInt uiUnaryIdx = 0;
-    UInt uiNumCand = SINGLE_DEPTH_MODE_CAND_LIST_SIZE;
-    if ( uiNumCand > 1 )
-    {
-      for( ; uiUnaryIdx < uiNumCand - 1; ++uiUnaryIdx )
-      {
-        UInt uiSymbol2 = 0;
-        if ( uiUnaryIdx==0 )
-        {
-          m_pcTDecBinIf->decodeBin( uiSymbol2, m_cSingleDepthValueSCModel.get( 0, 0, 0 ) );
-        }
-        else
-        {
-          m_pcTDecBinIf->decodeBinEP( uiSymbol2);
-        }
-        if( uiSymbol2 == 0 )
-        {
-          break;
-        }
-      }
-    }
-    absValDeltaDC = uiUnaryIdx;
-    pcCU->setSingleDepthValueSubParts((Pel)absValDeltaDC,uiAbsPartIdx, 0, uiDepth);
-  }
-}
-#endif
-#endif
-
+#endif
 /** parse merge flag
  * \param pcCU
Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 1185)
@@ -125,10 +125,6 @@
   
   Void parseSkipFlag      ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Void parseDIS          ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#else
-#if H_3D_SINGLE_DEPTH  
-  Void parseSingleDepthMode      ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
-#endif
 #endif
   Void parseCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
@@ -182,12 +178,7 @@
   ContextModel3DBuffer m_cCUSplitFlagSCModel;
   ContextModel3DBuffer m_cCUSkipFlagSCModel;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   ContextModel3DBuffer m_cCUDISFlagSCModel;
   ContextModel3DBuffer m_cCUDISTypeSCModel;
-#else
-#if H_3D_SINGLE_DEPTH
-  ContextModel3DBuffer m_cCUSingleDepthFlagSCModel;
-  ContextModel3DBuffer m_cSingleDepthValueSCModel;
-#endif
 #endif
   ContextModel3DBuffer m_cCUMergeFlagExtSCModel;
Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1185)
@@ -76,9 +76,5 @@
   xDeleteArray( m_adBaseViewShiftLUT, MAX_NUM_LAYERS, MAX_NUM_LAYERS, 2 );
   xDeleteArray( m_aiBaseViewShiftLUT, MAX_NUM_LAYERS, MAX_NUM_LAYERS, 2 );
-#if HHI_CAM_PARA_K0052
   xDeleteArray( m_receivedIdc, m_vps->getNumViews() );
-#else
-  xDeleteArray( m_receivedIdc, m_uiMaxViewIndex + 1 );
-#endif
 }
 
@@ -95,5 +91,4 @@
   m_firstReceivedPoc        = -2; 
 
-#if HHI_CAM_PARA_K0052  
   for (Int i = 0; i <= vps->getMaxLayersMinus1(); i++)
   {
@@ -134,45 +129,4 @@
 }
 
-#else
-  m_uiMaxViewIndex            = -1; 
-  for (Int i = 0; i <= vps->getMaxLayersMinus1(); i++)
-  {
-    Int curViewIdx = m_vps->getViewIndex( m_vps->getLayerIdInNuh( i )); 
-    m_bCamParsVaryOverTime = m_bCamParsVaryOverTime || vps->hasCamParInSliceHeader( curViewIdx );
-    m_uiMaxViewIndex = std::max( m_uiMaxViewIndex, curViewIdx  ) ; 
-  }
-  assert( m_receivedIdc == NULL ); 
-  m_receivedIdc = new Int*[ m_uiMaxViewIndex + 1]; 
-  for (Int i = 0; i <= m_uiMaxViewIndex; i++)
-  {
-    m_receivedIdc[i] = new Int[ m_uiMaxViewIndex + 1 ]; 
-  }
-
-  xResetReceivedIdc( true ); 
-
-  for (Int viewIndex = 0; viewIndex <= m_uiMaxViewIndex ; viewIndex++ )
-  {
-    if (m_vps->getCamParPresent( viewIndex ) )
-    {    
-      if( !m_vps->hasCamParInSliceHeader( viewIndex ) ) 
-      {
-        for (Int baseViewIndex = 0; baseViewIndex < viewIndex ; baseViewIndex++ )
-        { 
-          m_receivedIdc   [ baseViewIndex ][ viewIndex ] = -1; 
-          m_aaiCodedScale [ baseViewIndex ][ viewIndex ] = m_vps->getCodedScale    (viewIndex) [ baseViewIndex ];
-          m_aaiCodedOffset[ baseViewIndex ][ viewIndex ] = m_vps->getCodedOffset   (viewIndex) [ baseViewIndex ];
-
-          m_receivedIdc   [ viewIndex ][ baseViewIndex ] = -1; 
-          m_aaiCodedScale [ viewIndex ][ baseViewIndex ] = m_vps->getInvCodedScale (viewIndex) [ baseViewIndex ];
-          m_aaiCodedOffset[ viewIndex ][ baseViewIndex ] = m_vps->getInvCodedOffset(viewIndex) [ baseViewIndex ];
-          xInitLUTs( baseViewIndex, viewIndex, m_aaiCodedScale[ baseViewIndex ][ viewIndex ], m_aaiCodedOffset[ baseViewIndex ][ viewIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
-          xInitLUTs( viewIndex, baseViewIndex, m_aaiCodedScale[ viewIndex ][ baseViewIndex ], m_aaiCodedOffset[ viewIndex ][ baseViewIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT );
-        }
-      }
-    }
-  }
-}
-
-#endif
 
 
@@ -181,15 +135,8 @@
 CamParsCollector::xResetReceivedIdc( Bool overWriteFlag )
 {
-#if HHI_CAM_PARA_K0052
   for (Int i = 0; i < m_vps->getNumViews(); i++)
   {  
     for (Int j = 0; j < m_vps->getNumViews(); j++)
     {
-#else
-  for (Int i = 0; i <= m_uiMaxViewIndex; i++)
-  {  
-    for (Int j = 0; j <= m_uiMaxViewIndex; j++)
-    {
-#endif
       if ( overWriteFlag ||  ( m_receivedIdc[i][j] != -1 ) )
       {
@@ -232,9 +179,5 @@
   CamParsCollector::xInitLUTs( UInt uiSourceView, UInt uiTargetView, Int iScale, Int iOffset, Double****& radLUT, Int****& raiLUT)
 {
-#if HHI_CAM_PARA_K0052
   Int     iLog2DivLuma   = m_uiBitDepthForLUT + m_vps->getCpPrecision() + 1 - m_iLog2Precision;   AOF( iLog2DivLuma > 0 );
-#else
-  Int     iLog2DivLuma   = m_uiBitDepthForLUT + m_vps->getCamParPrecision() + 1 - m_iLog2Precision;   AOF( iLog2DivLuma > 0 );
-#endif
   Int     iLog2DivChroma = iLog2DivLuma + 1;
 
@@ -313,5 +256,4 @@
   }
 
-#if HHI_CAM_PARA_K0052
   UInt voiInVps          = m_vps->getVoiInVps(pcSlice->getViewIndex());  
   if( m_vps->getCpInSliceSegmentHeaderFlag( voiInVps ) ) // check consistency of slice parameters here
@@ -348,40 +290,4 @@
     }
   }  
-#else
-  UInt uiViewIndex          = pcSlice->getViewIndex();  
-  if( m_vps->getCamParPresent( uiViewIndex ) )
-  {    
-    if( m_vps->hasCamParInSliceHeader( uiViewIndex ) ) // check consistency of slice parameters here
-    {   
-      for( UInt uiBaseViewIndex = 0; uiBaseViewIndex < uiViewIndex; uiBaseViewIndex++ )
-      {        
-        if ( m_receivedIdc[ uiViewIndex ][ uiBaseViewIndex ] != 0 )
-        {      
-          AOF( m_aaiCodedScale [ uiViewIndex ][ uiBaseViewIndex ] == pcSlice->getInvCodedScale () [ uiBaseViewIndex ] );
-          AOF( m_aaiCodedOffset[ uiViewIndex ][ uiBaseViewIndex ] == pcSlice->getInvCodedOffset() [ uiBaseViewIndex ] );
-        }
-        else
-        {          
-          m_receivedIdc   [ uiViewIndex ][ uiBaseViewIndex ]  = 1; 
-          m_aaiCodedScale [ uiViewIndex ][ uiBaseViewIndex ]  = pcSlice->getInvCodedScale () [ uiBaseViewIndex ];
-          m_aaiCodedOffset[ uiViewIndex ][ uiBaseViewIndex ]  = pcSlice->getInvCodedOffset() [ uiBaseViewIndex ];
-          xInitLUTs( uiViewIndex, uiBaseViewIndex, m_aaiCodedScale[ uiViewIndex ][ uiBaseViewIndex ], m_aaiCodedOffset[ uiViewIndex ][ uiBaseViewIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT);
-        }
-        if ( m_receivedIdc[ uiBaseViewIndex ][ uiViewIndex ] != 0 )
-        {      
-          AOF( m_aaiCodedScale [ uiBaseViewIndex ][ uiViewIndex ] == pcSlice->getCodedScale    () [ uiBaseViewIndex ] );
-          AOF( m_aaiCodedOffset[ uiBaseViewIndex ][ uiViewIndex ] == pcSlice->getCodedOffset   () [ uiBaseViewIndex ] );
-        }
-        else
-        {        
-          m_receivedIdc   [ uiBaseViewIndex ][ uiViewIndex ]  = 1; 
-          m_aaiCodedScale [ uiBaseViewIndex ][ uiViewIndex ]  = pcSlice->getCodedScale    () [ uiBaseViewIndex ];
-          m_aaiCodedOffset[ uiBaseViewIndex ][ uiViewIndex ]  = pcSlice->getCodedOffset   () [ uiBaseViewIndex ];
-          xInitLUTs( uiBaseViewIndex, uiViewIndex, m_aaiCodedScale[ uiBaseViewIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseViewIndex ][ uiViewIndex ], m_adBaseViewShiftLUT, m_aiBaseViewShiftLUT);
-        }
-      }
-    }
-  }
-#endif
 
 
@@ -408,5 +314,4 @@
     if( iPOC == m_firstReceivedPoc )
     {
-#if HHI_CAM_PARA_K0052
       fprintf( m_pCodedScaleOffsetFile, "#ViewOrderIdx     ViewIdVal\n" );
       fprintf( m_pCodedScaleOffsetFile, "#------------ -------------\n" );
@@ -436,41 +341,4 @@
                 m_aaiCodedScale [ baseVoiInVps ][ voiInVps ], 
                 m_aaiCodedOffset[ baseVoiInVps ][ voiInVps ], m_vps->getCpPrecision() );
-#else
-      fprintf( m_pCodedScaleOffsetFile, "#  ViewIndex       ViewId\n" );
-      fprintf( m_pCodedScaleOffsetFile, "#----------- ------------\n" );
-      for( UInt uiViewIndex = 0; uiViewIndex <= m_uiMaxViewIndex; uiViewIndex++ )
-      {
-        fprintf( m_pCodedScaleOffsetFile, "%12d %12d\n", uiViewIndex, m_vps->getViewIdVal( uiViewIndex ) );
-      }
-      fprintf( m_pCodedScaleOffsetFile, "\n\n");
-      fprintf( m_pCodedScaleOffsetFile, "# StartFrame     EndFrame   TargetView     BaseView   CodedScale  CodedOffset    Precision\n" );
-      fprintf( m_pCodedScaleOffsetFile, "#----------- ------------ ------------ ------------ ------------ ------------ ------------\n" );
-    }
-    if( iPOC == m_firstReceivedPoc || m_bCamParsVaryOverTime  )
-    {
-      Int iS = iPOC;
-      Int iE = ( m_bCamParsVaryOverTime ? iPOC : ~( 1 << 31 ) );
-#if HHI_CAM_PARA_K0052
-      for( UInt uiViewIndex = 0; uiViewIndex < m_vps->getNumViews(); uiViewIndex++ )
-      {
-        for( UInt uiBaseIndex = 0; uiBaseIndex < m_vps->getNumViews(); uiBaseIndex++ )
-#else
-      for( UInt uiViewIndex = 0; uiViewIndex <= m_uiMaxViewIndex; uiViewIndex++ )
-      {
-        for( UInt uiBaseIndex = 0; uiBaseIndex <= m_uiMaxViewIndex; uiBaseIndex++ )
-#endif
-        {
-          if( uiViewIndex != uiBaseIndex )
-          {
-            if ( m_receivedIdc[uiBaseIndex][uiViewIndex] != 0 )
-            {            
-#if HHI_CAM_PARA_K0052
-              fprintf( m_pCodedScaleOffsetFile, "%12d %12d %12d %12d %12d %12d %12d\n",
-                iS, iE, uiViewIndex, uiBaseIndex, m_aaiCodedScale[ uiBaseIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ], m_vps->getCpPrecision() );
-#else
-              fprintf( m_pCodedScaleOffsetFile, "%12d %12d %12d %12d %12d %12d %12d\n",
-                iS, iE, uiViewIndex, uiBaseIndex, m_aaiCodedScale[ uiBaseIndex ][ uiViewIndex ], m_aaiCodedOffset[ uiBaseIndex ][ uiViewIndex ], m_vps->getCamParPrecision() );
-#endif
-#endif
             }            
           }
@@ -556,5 +424,5 @@
   initROM();
 #endif
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
   m_cCavlcDecoder.setDecTop( this ); 
 #endif
@@ -867,9 +735,4 @@
 
 #endif
-#if H_3D
-#if !HHI_INTER_COMP_PRED_K0052
-  m_apcSlicePilot->init3dToolParameters();
-#endif
-#endif
   pps->setSPS(sps);
   pps->setNumSubstreams(pps->getEntropyCodingSyncEnabledFlag() ? ((sps->getPicHeightInLumaSamples() + sps->getMaxCUHeight() - 1) / sps->getMaxCUHeight()) * (pps->getNumTileColumnsMinus1() + 1) : 1);
@@ -1098,5 +961,5 @@
   xActivateParameterSets();
 
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   //Check Multiview Main profile constraint in G.11.1.1
   //  When ViewOrderIdx[ i ] derived according to any active VPS is equal to 1 
@@ -1230,9 +1093,10 @@
   pcPic->setViewIndex( getViewIndex() );
   pcPic->setIsDepth  ( getIsDepth  () );
-#endif
-#endif
-#if HHI_RES_PRED_K0052
   pcSlice->setIvPicLists( m_ivPicLists );         
 #endif
+#endif
+
+
+
 
   if (bNextSlice)
@@ -1271,9 +1135,4 @@
 
 #if H_3D
-#if !HHI_RES_PRED_K0052
-    pcSlice->setIvPicLists( m_ivPicLists );         
-#endif
-
-#if HHI_INTER_COMP_PRED_K0052
     pcSlice->checkInCompPredRefLayers(); 
 #if H_3D_IV_MERGE
@@ -1284,13 +1143,4 @@
 #endif
 #endif    
-#else
-#if H_3D_IV_MERGE
-#if H_3D_FCO
-    //assert( !getIsDepth() );
-#else
-    assert( !getIsDepth() || ( pcSlice->getTexturePic() != 0 ) );
-#endif
-#endif    
-#endif
 #endif
 #if H_MV
Index: branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 1185)
@@ -97,7 +97,4 @@
   TComVPS* m_vps; 
   Int**    m_receivedIdc; 
-#if!HHI_CAM_PARA_K0052
-  Int      m_uiMaxViewIndex; 
-#endif
   Int      m_lastPoc; 
   Int      m_firstReceivedPoc; 
@@ -244,6 +241,4 @@
   Bool                    m_isDepth;
   CamParsCollector*       m_pcCamParsCollector;
-#endif
-#if H_3D_ANNEX_SELECTION_FIX
   Int                     m_profileIdc;
 #endif
@@ -305,6 +300,5 @@
   Bool                    getIsDepth            ()               { return m_isDepth;    }
   Void                    setCamParsCollector( CamParsCollector* pcCamParsCollector ) { m_pcCamParsCollector = pcCamParsCollector; }
-#endif
-#if H_3D_ANNEX_SELECTION_FIX
+
   Void                    setProfileIdc()
   {        
@@ -331,5 +325,4 @@
   Bool                    decProcAnnexI()           { assert( m_profileIdc != -1 ); return ( m_profileIdc == 8); }    
 #endif
-
 #endif
 protected:
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1185)
@@ -40,5 +40,5 @@
 #include "SEIwrite.h"
 #include "../TLibCommon/TypeDef.h"
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
 #include "TEncTop.h"
 #endif
@@ -862,12 +862,8 @@
   WRITE_FLAG( pcPPS->getPocResetInfoPresentFlag( ) ? 1 : 0 , "poc_reset_info_present_flag" );
   WRITE_FLAG( pcPPS->getPpsInferScalingListFlag( ) ? 1 : 0 , "pps_infer_scaling_list_flag" );
-#if FIX_TICKET_95
   if (pcPPS->getPpsInferScalingListFlag())
   {
     WRITE_CODE( pcPPS->getPpsScalingListRefLayerId( ), 6, "pps_scaling_list_ref_layer_id" );
   }
-#else    
-  WRITE_CODE( pcPPS->getPpsScalingListRefLayerId( ), 6, "pps_scaling_list_ref_layer_id" );
-#endif
   WRITE_UVLC( 0, "num_ref_loc_offsets" );
   WRITE_FLAG( 0 , "colour_mapping_enabled_flag" );
@@ -901,9 +897,5 @@
       WRITE_FLAG( sps3dExt->getQtPredFlag( d ) ? 1 : 0 , "qt_pred_flag" );
       WRITE_FLAG( sps3dExt->getInterSdcFlag( d ) ? 1 : 0 , "inter_sdc_flag" );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
       WRITE_FLAG( sps3dExt->getDepthIntraSkipFlag( d ) ? 1 : 0 , "intra_skip_flag" );
-#else
-      WRITE_FLAG( sps3dExt->getIntraSingleFlag( d ) ? 1 : 0 , "intra_single_flag" );
-#endif
     }
   }
@@ -1614,5 +1606,4 @@
 Void TEncCavlc::codeVPS3dExtension( TComVPS* pcVPS )
 { 
-#if HHI_CAM_PARA_K0052
   WRITE_UVLC( pcVPS->getCpPrecision( ), "cp_precision" );
   for (Int n = 1; n < pcVPS->getNumViews(); n++)
@@ -1640,25 +1631,4 @@
     }
   }  
-#else
-  WRITE_UVLC( pcVPS->getCamParPrecision(), "cp_precision" );
-  for (UInt viewIndex=1; viewIndex<pcVPS->getNumViews(); viewIndex++)
-  {
-    WRITE_FLAG( pcVPS->getCamParPresent(viewIndex) ? 1 : 0, "cp_present_flag[i]" );
-    if ( pcVPS->getCamParPresent(viewIndex) )
-    {
-      WRITE_FLAG( pcVPS->hasCamParInSliceHeader(viewIndex) ? 1 : 0, "cp_in_slice_segment_header_flag[i]" );
-      if ( !pcVPS->hasCamParInSliceHeader(viewIndex) )
-      {
-        for( UInt uiIndex = 0; uiIndex < viewIndex; uiIndex++ )
-        {
-          WRITE_SVLC( pcVPS->getCodedScale    (viewIndex)[ uiIndex ],                                               "vps_cp_scale" );
-          WRITE_SVLC( pcVPS->getCodedOffset   (viewIndex)[ uiIndex ],                                               "vps_cp_off" );
-          WRITE_SVLC( pcVPS->getInvCodedScale (viewIndex)[ uiIndex ] + pcVPS->getCodedScale (viewIndex)[ uiIndex ], "vps_cp_inv_scale_plus_scale" );
-          WRITE_SVLC( pcVPS->getInvCodedOffset(viewIndex)[ uiIndex ] + pcVPS->getCodedOffset(viewIndex)[ uiIndex ], "vps_cp_inv_off_plus_off" );
-        }
-      }
-    }
-  }
-#endif
 }
 #endif
@@ -1945,5 +1915,4 @@
 #endif
 
-#if HHI_INTER_COMP_PRED_K0052
 #if H_3D      
   if( getEncTop()->decProcAnnexI() )
@@ -1954,5 +1923,4 @@
       }
   }
-#endif
 #endif
     if(pcSlice->getSPS()->getUseSAO())
@@ -2086,12 +2054,8 @@
     }
 #if H_3D_IC
-#if H_3D_ANNEX_SELECTION_FIX
     else if( pcSlice->getViewIndex() && ( pcSlice->getSliceType() == P_SLICE || pcSlice->getSliceType() == B_SLICE )
       && !pcSlice->getIsDepth() && vps->getNumRefListLayers( layerId ) > 0 
       && getEncTop()->decProcAnnexI()       
       )
-#else
-    else if( pcSlice->getViewIndex() && ( pcSlice->getSliceType() == P_SLICE || pcSlice->getSliceType() == B_SLICE ) && !pcSlice->getIsDepth() && vps->getNumRefListLayers( layerId ) > 0 )
-#endif
     {
       WRITE_FLAG( pcSlice->getApplyIC() ? 1 : 0, "slice_ic_enable_flag" );
@@ -2148,5 +2112,4 @@
       WRITE_FLAG(pcSlice->getLFCrossSliceBoundaryFlag()?1:0, "slice_loop_filter_across_slices_enabled_flag");
     }
-#if HHI_CAM_PARA_K0052
 #if H_3D
     if (getEncTop()->decProcAnnexI() )
@@ -2166,25 +2129,6 @@
     }
 #endif
-#endif
-  }
-
-#if !HHI_CAM_PARA_K0052  
-#if H_3D
-#if H_3D_FCO
-  if( pcSlice->getVPS()->hasCamParInSliceHeader( pcSlice->getViewIndex() ) && pcSlice->getIsDepth() )
-#else
-  if( pcSlice->getVPS()->hasCamParInSliceHeader( pcSlice->getViewIndex() ) && !pcSlice->getIsDepth() )
-#endif
-  {
-    for( UInt uiId = 0; uiId < pcSlice->getViewIndex(); uiId++ )
-    {
-      WRITE_SVLC( pcSlice->getCodedScale    ()[ uiId ],                                     "cp_scale" );
-      WRITE_SVLC( pcSlice->getCodedOffset   ()[ uiId ],                                     "cp_off" );
-      WRITE_SVLC( pcSlice->getInvCodedScale ()[ uiId ] + pcSlice->getCodedScale ()[ uiId ], "cp_inv_scale_plus_scale" );
-      WRITE_SVLC( pcSlice->getInvCodedOffset()[ uiId ] + pcSlice->getCodedOffset()[ uiId ], "cp_inv_off_plus_off" );
-    }
-  }
-#endif
-#endif
+  }
+
 
 
@@ -2532,17 +2476,9 @@
   assert(0);
 }
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TEncCavlc::codeDIS( TComDataCU* pcCU, UInt uiAbsPartIdx )
 {
   assert(0);
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TEncCavlc::codeSingleDepthMode( TComDataCU* pcCU, UInt uiAbsPartIdx )
-{
-  assert(0);
-}
-#endif
 #endif
 
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1185)
@@ -68,5 +68,5 @@
   TComSlice*    m_pcSlice;
   UInt          m_uiCoeffCost;
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
   TEncTop*      m_encTop; 
 #endif
@@ -129,10 +129,6 @@
   Void codeCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx );
   Void codeSkipFlag      ( TComDataCU* pcCU, UInt uiAbsPartIdx );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Void codeDIS           ( TComDataCU* pcCU, UInt uiAbsPartIdx );
-#else
-#if H_3D_SINGLE_DEPTH
-  Void codeSingleDepthMode( TComDataCU* pcCU, UInt uiAbsPartIdx );
-#endif
 #endif
   Void codeMergeFlag     ( TComDataCU* pcCU, UInt uiAbsPartIdx );
@@ -187,5 +183,5 @@
   Void codeDFFlag       ( UInt uiCode, const Char *pSymbolName );
   Void codeDFSvlc       ( Int   iCode, const Char *pSymbolName );
-#if H_3D_ANNEX_SELECTION_FIX
+#if H_3D
   TEncTop* getEncTop()               { return m_encTop; };
   Void     setEncTop( TEncTop* et )  {  m_encTop = et; };
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 1185)
@@ -78,5 +78,5 @@
   Int m_interViewRefPosL[2][MAX_NUM_REF_PICS];  
 #endif
-#if HHI_INTER_COMP_PRED_K0052
+#if H_3D
   Bool m_interCompPredFlag;
 #endif
@@ -98,8 +98,6 @@
   , m_numActiveRefLayerPics(0)
 #endif
-#if HHI_INTER_COMP_PRED_K0052
 #if H_3D
   , m_interCompPredFlag(false)
-#endif
 #endif
   {
@@ -188,5 +186,5 @@
   Int       m_iSearchRange;                     //  0:Full frame
   Int       m_bipredSearchRange;
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   Bool      m_bUseDisparitySearchRangeRestriction;
   Int       m_iVerticalDisparitySearchRange;
@@ -380,10 +378,4 @@
 
   //====== Camera Parameters ======
-#if !HHI_CAM_PARA_K0052
-  UInt      m_uiCamParPrecision;
-  Bool      m_bCamParInSliceHeader;
-  Int**     m_aaiCodedScale;
-  Int**     m_aaiCodedOffset;
-#endif
   TAppComCamPara* m_cameraParameters; 
   
@@ -418,7 +410,6 @@
   Bool      m_bUseQTL;
 #endif
-#if H_3D_ANNEX_SELECTION_FIX
+
   Int m_profileIdc;
-#endif
 
 #endif
@@ -435,7 +426,5 @@
   , m_isDepth(false)
   , m_bUseVSO(false)
-#if H_3D_ANNEX_SELECTION_FIX
   , m_profileIdc( -1 )
-#endif
 #endif
 #endif
@@ -522,5 +511,5 @@
   Void      setSearchRange                  ( Int   i )      { m_iSearchRange = i; }
   Void      setBipredSearchRange            ( Int   i )      { m_bipredSearchRange = i; }
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   Void      setUseDisparitySearchRangeRestriction ( Bool   b )      { m_bUseDisparitySearchRangeRestriction = b; }
   Void      setVerticalDisparitySearchRange ( Int   i )      { m_iVerticalDisparitySearchRange = i; }
@@ -578,5 +567,5 @@
   Int       getFastSearch                   ()      { return  m_iFastSearch; }
   Int       getSearchRange                  ()      { return  m_iSearchRange; }
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   Bool      getUseDisparitySearchRangeRestriction ()      { return  m_bUseDisparitySearchRangeRestriction; }
   Int       getVerticalDisparitySearchRange ()            { return  m_iVerticalDisparitySearchRange; }
@@ -923,10 +912,4 @@
 
  //==== CAMERA PARAMETERS  ==========
-#if !HHI_CAM_PARA_K0052
-  Void      setCamParPrecision              ( UInt  u )      { m_uiCamParPrecision      = u; }
-  Void      setCamParInSliceHeader          ( Bool  b )      { m_bCamParInSliceHeader   = b; }
-  Void      setCodedScale                   ( Int** p )      { m_aaiCodedScale          = p; }
-  Void      setCodedOffset                  ( Int** p )      { m_aaiCodedOffset         = p; }
-#endif
   Void      setCameraParameters             ( TAppComCamPara* c) { m_cameraParameters   = c; }
 
@@ -976,8 +959,6 @@
   Bool      getUseQTL                       ()         { return m_bUseQTL; }
 #endif
-#if H_3D_ANNEX_SELECTION_FIX
   Void                    setProfileIdc( Int a )    { assert( a == 1 || a == 6 || a == 8 ); m_profileIdc = a;  }
   Bool                    decProcAnnexI()           { assert( m_profileIdc != -1 ); return ( m_profileIdc == 8); }    
-#endif
 
 #endif // H_3D
